Bug 88715 - GUI install incorrectly detects video card
GUI install incorrectly detects video card
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-12 08:56 EDT by Anthony Howe
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 16:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Howe 2003-04-12 08:56:14 EDT
Description of problem:

Trying to do a RH 9.0 GUI install fails to correctly detect a suitable X video
driver, leaving the TFT screen blank because of some incorrect video mode.

However, RH 8.0 GUI install detects and works fine, finding and using a "VESA
(generic)" driver instead that works.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. boot with RH 9.0 cd on a system using this motherboard (purchased within the
last 2 months)

http://www.jetway.com.tw/evisn/product/p-4/P4mfp533/p4mfp533.htm

2. attempt a GUI install

    
Actual results:

The install detects a "S3 ProSavage KM133" and a Phillips "BX151AX" monitor. 
The monitor is correct, but not the video card.

Expected results:

Should behave like RH 8.0 finding / using a "VESA (generic)" driver instead.

Additional info:

I have no clue as to the precise chipset for the video card as both the
motherboard documentation and manufacture web siet fail to inform in this
regard. The manufacture website refers vaguely to S3 drivers in the download area.

My motherboard information can be found here:
http://www.jetway.com.tw/evisn/product/p-4/P4mfp533/p4mfp533.htm

Performing a text install works, but configuration of X for the video card fails
even when I explicitly select "VESA (generic)". It insists on writing an
XF86Config with the "savage" driver specified instead.

The only workaround is to boot in single user mode and edit
/etc/X11R6/XF86Config to specify a "vesa" driver in place of the "savage", after
which the X installation works fine.
Comment 1 Michael Fulbright 2003-04-14 12:35:08 EDT
Mike Harris does this card have XFree86 4.3 support?
Comment 2 Michael Fulbright 2003-06-18 16:47:52 EDT
Closing due to inactivity - please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.